/*
 * timer.c
 *
 * Created: 17.04.2015 11:47:27
 *  Author: vebjornr
 */ 


#include <avr/io.h>
#include <avr/interrupt.h>
#include "timer.h"

void timer0_init(void)
{
	
	// Initialize 8bit Timer0.
	TCCR0A = (1 << CS02); // clk/64
	ENABLE_TM0OVF_INT; //enable overflow interrupt on timer 0
	
	

}

void timer2_init(void){
	
		//timer 2:
		TCCR2A = (1<<CS22) | (1<<CS20); //clk/128
		TIMSK2 = (1<<TOIE2); //enable overflow interrupt
	
}




ISR(TIMER0_OVF_vect)
{
	cli();
	
	if (clk_ticks >= 120)
	{
		clk_ticks = 0;
	}
	else
	{
		clk_ticks++;
	}
	
	sei();
}

/*
ISR(TIMER2_OVF_vect)
{
	cli();
	
	if (seconds_tick >= 245)
	{
		seconds_tick = 0;
		seconds_remaining--;
	}
	else
	{
		seconds_tick++;
	}
	
	sei();
}
*/
