/*
 * lcd.h
 *
 * Created: 17.04.2015 14:44:55
 *  Author: vebjornr
 */ 


#ifndef LCD_H_
#define LCD_H_
#include <inttypes.h>
#define LINE1	128
#define LINE2	192
#define LINE3	128+20
#define LINE4	192+20

#define SPLASH_LINE_1 " DNV GL FUELFIGHTER "
#define SPLASH_LINE_2 "     PROTOTYPE      "

typedef enum {SPEED, TIME, TORQUE, STATUS, FANS_OUT, VOLUME_OUT} output_t;

void lcd_init(void);
void lcd_goto_line_place(uint8_t line, uint8_t place);
void lcd_write(output_t type, int16_t value);
void lcd_clear_all_lines(void);
void lcd_set_brightness(uint8_t brightness);
void lcd_set_splash_screen(void); //only has to be called once, ever!



#endif /* LCD_H_ */