/*
 * timer.c
 *
 * Created: 17.04.2015 11:47:27
 *  Author: vebjornr
 */ 


#include <avr/io.h>
#include <avr/interrupt.h>
#include "timer.h"


void timer_init(void)
{
	// Initialize 8bit Timer0.
	TCCR2A = (1<<CS22) | (1<<CS20); //clk/128
	TIMSK2 = (1<<TOIE2); //enable overflow interrupt
}



ISR(TIMER2_OVF_vect)
{
	cli();
	
	if (clk_ticks >= 245)
	{
		clk_ticks = 0;
		seconds_remaining--;
		if(seconds_remaining == 2340 - 150 * 1 ||
		   seconds_remaining == 2340 - 150 * 2 ||
		   seconds_remaining == 2340 - 150 * 3 ||
		   seconds_remaining == 2340 - 150 * 4 ||
		   seconds_remaining == 2340 - 150 * 5 ||
		   seconds_remaining == 2340 - 150 * 6 ||
		   seconds_remaining == 2340 - 150 * 7 ||
		   seconds_remaining == 2340 - 150 * 8 ||
		   seconds_remaining == 2340 - 150 * 9 || 
		   seconds_remaining == 2340 - 150 * 10 ||
		   seconds_remaining == 2340 - 150 * 11 ||
		   seconds_remaining == 2340 - 150 * 12 ||
		   seconds_remaining == 2340 - 150 * 13 ||
		   seconds_remaining == 2340 - 150 * 14 ||
		   seconds_remaining == 2340 - 150 * 15){
			   
			   seconds_remaining--;
		   }
		
		
	}
	else
	{
		clk_ticks++;
	}
	
	sei();
}
