/*
 * timer.h
 *
 * Created: 17.04.2015 11:48:18
 *  Author: vebjornr
 */ 


#ifndef TIMER_H_
#define TIMER_H_

#define ENABLE_TM0OVF_INT TIMSK0 |= (1<<TOIE0)
#define DISABLE_TM0OVF_INT TIMSK0 &= ~(1<<TOIE0)

extern volatile int clk_ticks;
extern volatile int seconds_remaining;

/*********************************************************************************************************************
	Initialize timer 0 to overflow approx 245 times/sec.
**********************************************************************************************************************/
void timer_init(void);



#endif /* TIMER_H_ */