/*
 * leds.c
 *
 * Created: 09.04.2015 18:06:01
 *  Author: vebjornr
 */ 
#include "definitions.h"
#include "leds.h"
#include <avr/io.h>

void leds_init(void){
	
	set_bit(DDRE, PE3);
	set_bit(DDRE, PE2);
	clear_bit(PORTE, PE3);
	clear_bit(PORTE, PE2);
}

void set_led(LED_t led, LED_state_t state){
	
	if (led == GREEN)
	{
		if (state == OFF) {clear_bit(PORTE, GREEN_LED);}
		if (state == ON)  {set_bit(PORTE, GREEN_LED);}
			
	} else if (led == RED)
	{
		if (state == OFF) {clear_bit(PORTE, RED_LED);}
		if (state == ON)  {set_bit(PORTE, RED_LED);}
	}
	
}

void toggle_led(LED_t led){
	
	if(led == GREEN) {toggle_bit(PORTE, GREEN_LED);}
	if(led == RED) {toggle_bit(PORTE, RED_LED);}
}